﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS6000 (1 yr) Ref Out IEEE /LFCTR
INSTRUMENT:            Sub Tek TDS6000 (1 yr) Probe Comp Output IEEE /LFCTR
DATE:                  2018-09-10 08:37:26
AUTHOR:                Fluke
REVISION:              $Revision: 24954 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       8
NUMBER OF LINES:       135
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Source:
#        Tektronix TDS6000 Series Service Manual
#        Performance Verification, and Specifications
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LFCTR]
  1.003  ENDIF

  1.004  CALL         Sub Initialize /LFCTR

  1.005  JMPL         REF_OUT                      PSUB("Ref Out")
  1.006  JMPL         PROBE_COMP_OUTPUT            PSUB("Probe Comp Output")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment step number

# =====  Sub Tek TDS6000 (1 yr) Ref Out IEEE /LFCTR  =========================

  2.001  LABEL        REF_OUT
  2.002  RSLT         =
  2.003  HEAD         {REF OUT}
  2.004  HEAD         -2 Frequency
  2.005  MATH         @LFCTR_Func = "FreqCh1"
  2.006  TARGET       -p
  2.007  CALL         Sub Reset /LFCTR
  2.008  CALL         Sub Setup /LFCTR
  2.009  DISP         Connect REF OUT on DUT rear panel to
  2.009  DISP         [V @LFCTR_DevName] [V @LFCTR_Ch1].
  2.010  CALL         Sub Tek TDS6000 Recall Factory Setup IEEE
  2.011  JMPL         END                          @Abort
  2.012  TARGET       -m
  2.013  CALL         Sub Read /LFCTR
  2.014  MATH         @LFCTR_Meas = MEM; MEM = MEM / 1E+3
  2.015  CALL         Sub Get Accuracy (Enhanced) /LFCTR
  2.016  MATH         L[1] = @LFCTR_Acc / @LFCTR_Conf * 2 / 1E+3
  2.017  ACC          kHz            L1U
  2.018  MEMC         10000.000kHz   0.025U        2Vpp

  3.001  HEAD         -2 Amplitude (High)
  3.002  MATH         @LFCTR_Func = "VmaxCh1"; @LFCTR_Ch1Imp = "LoZ"
  3.003  TARGET
  3.004  CALL         Sub Reset /LFCTR
  3.005  CALL         Sub Measure /LFCTR
  3.006  EVAL   -e MEM >= 1.00 : [32]High: [MEM] V, Bound: >= 1

  4.001  HEAD         -2 Amplitude (Low)
  4.002  MATH         @LFCTR_Func = "VminCh1"; @LFCTR_Ch1Imp = "LoZ"
  4.003  TARGET
  4.004  CALL         Sub Measure /LFCTR
  4.005  EVAL   -e MEM <= 0.25 : [32]Low: [MEM] V, Bound: <= 0.25

  5.001  HEAD         -2
  5.002  DISP         Disconnect the [V @LFCTR_DevName] from the DUT.
  5.003  HEAD
  5.004  END

  5.005  EVAL   Increment step number

# =====  Sub Tek TDS6000 (1 yr) Probe Comp Output IEEE /LFCTR  ===============

  6.001  LABEL        PROBE_COMP_OUTPUT
  6.002  RSLT         =
  6.003  HEAD         {PROBE COMPENSATION OUTPUT}
  6.004  HEAD         -2 Frequency
  6.005  MATH         @LFCTR_Func = "FreqCh1"
  6.006  TARGET       -p
  6.007  CALL         Sub Reset /LFCTR
  6.008  CALL         Sub Setup /LFCTR
  6.009  DISP         Connect DUT PROBE COMPENSATION output to
  6.009  DISP         [V @LFCTR_DevName] [V @LFCTR_Ch1].
  6.010  TARGET       -m
  6.011  CALL         Sub Read /LFCTR
  6.012  MATH         @LFCTR_Meas = MEM; MEM = MEM / 1E+3
  6.013  CALL         Sub Get Accuracy (Enhanced) /LFCTR
  6.014  MATH         L[1] = @LFCTR_Acc / @LFCTR_Conf * 2 / 1E+3
  6.015  ACC          kHz            L1U
  6.016  MEMC         1.000kHz       0.050U        0.2Vpp

  7.001  HEAD         -2 Amplitude
# Set gate time so measurement is over constant portion of waveform.
  7.002  MATH         @LFCTR_Func     = "VppCh1"
  7.003  MATH         @LFCTR_MeasTime = "500 µs"
  7.004  MATH         @LFCTR_Freq     = "1 kHz"
  7.005  TARGET       -p
  7.006  CALL         Sub Reset /LFCTR
  7.007  CALL         Sub Setup /LFCTR
  7.008  TARGET       -m
  7.009  CALL         Sub Read /LFCTR
  7.010  MATH         @LFCTR_Meas = MEM
  7.011  CALL         Sub Get Accuracy /LFCTR
  7.012  MATH         L[1] = @LFCTR_Acc / @LFCTR_Conf * 2
  7.013  ACC          Vpp            L1U
  7.014  MEMC         0.20Vpp        0.04U         1kHz

  8.001  HEAD         -2
  8.002  DISP         Disconnect the [V @LFCTR_DevName] from the DUT.
  8.003  HEAD

  8.004  LABEL        END
  8.005  END
