﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS6000 Set Leveled Sine IEEE /9500+G3
DATE:                  2018-09-10 11:56:54
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 24954 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       117
CONFIGURATION:         Datron 9500 (G3)
CONFIGURATION:         Datron 9530 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC, ZY
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @Abort = 0

  1.002  IF           M[102] == 50
  1.003  MATH         MaxVpp9500 = 5.560
  1.004  ELSEIF       M[102] == 500
  1.005  MATH         MaxVpp9500 = 5.560
  1.006  ELSEIF       M[102] == 1500
  1.007  MATH         MaxVpp9500 = 3.336
  1.008  ELSEIF       M[102] == 3000
  1.009  MATH         MaxVpp9500 = 2.224
  1.010  ELSE
  1.011  DISP         Sub Tek TDS6000 Set Leveled Sine IEEE /9500+G3
  1.011  DISP
  1.011  DISP         M[91]102[93] must be frequency in MHz.
  1.011  DISP
  1.011  DISP         Supported values are: 50, 500, 1500, or 3000.
  1.012  MATH         @Abort = 1
  1.013  END
  1.014  ENDIF

  1.015  DO
# L[1] holds target amplitude in volts as measured by the scope.
  1.016  MATH         L[1] = M[3]; L[10] = 0
  1.017  IEEE         ACQ:STOPAFTER SEQUENCE

  1.018  DO

  1.019  IF           L[1] > MaxVpp9500
  1.020  HEAD         AMPLITUDE EXCEEDED
  1.021  DISP         9500 cannot source [MEM] Vpp!
  1.022  MATH         @Abort = 1
  1.023  END
  1.024  ENDIF

  1.025  MATH         MEM = L[1]

  1.026  IF           M[102] == 50
  1.027  9500         Vpp                          50MH           LS    S  L
  1.028  ELSEIF       M[102] == 500
  1.029  9500         Vpp                          500MH          LS    S  L
  1.030  ELSEIF       M[102] == 1500
  1.031  9500         Vpp                          1.5GH          LS    S  L
  1.032  ELSEIF       M[102] == 3000
  1.033  9500         Vpp                          3GH            LS    S  L
  1.034  ELSE
  1.035  END
  1.036  ENDIF

  1.037  DO
  1.038  MATH         @Cmd = "ACQ:STATE RUN"
  1.039  CALL         Sub Tek TDS6000 Send Command, Wait for OPC SRQ
  1.040  JMPL         END                          @Abort < 0
  1.041  IEEE         MEASU:IMM:VAL?[I$]
  1.042  HEAD         -2 Channel [M100], [MEM2] Vpp
# If DUT returned overload "99.0000E+36" take another sample and reading.
  1.043  UNTIL        NOT(ZCMP(MEM2, "99.0000E+36"))

  1.044  MATH         MEM = MEM2
  1.045  MATH         L[2] = (M[3] - MEM)
  1.046  MATH         Done = ABS(L[2]) < 0.003

  1.047  IF           ABS(L[2]) >= 0.003
  1.048  MATH         L[1] = (L[2] / 2) + MEM1
# Increment the Watchdog Counter.
  1.049  MATH         L[10] = L[10] + 1
  1.050  ENDIF

# Try 25 times to achieve the desired amplitude on the scope.
  1.051  UNTIL        Done || (L[10] >= 25)

  1.052  IF           Done
  1.053  MATH         MEM1 = 0
  1.054  ELSE
  1.055  OPBR         -z Tried 25 times to set amplitude to [M3] +/-0.003 V.
  1.055  OPBR
  1.055  OPBR         Do you wish to try again?
  1.056  MATH         @Abort = NOT(MEM1)
  1.057  ENDIF

  1.058  UNTIL        NOT(MEM1)

  1.059  LABEL        END
  1.060  END
